OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class DominoIIOPMonitor

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4Monitor
          org.opennms.netmgt.poller.monitors.DominoIIOPMonitor

All Implemented Interfaces:
  ServiceMonitor

public final class DominoIIOPMonitor
extends IPv4Monitor

This class is designed to be used by the service poller framework to test the availability of IIOP running on a Domino server service on. The class implements the ServiceMonitor interface that allows it to be used along with other plug-ins by the service poller framework.

Author:
  Tarus Balog , Mike , Weave , OpenNMS

Field Summary
`private static int` `DEFAULT_IORPORT` Default port of where to find the IOR via HTTP
`private static int` `DEFAULT_PORT` Default port.
`private static int` `DEFAULT_RETRY` Default retries.
`private static int` `DEFAULT_TIMEOUT` Default timeout.

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`DominoIIOPMonitor()`

Method Summary
`int` `poll(NetworkInterface iface, java.util.Map parameters, Package pkg)` Poll the specified address for service availability.
`private java.lang.String` `retrieveIORText(java.lang.String host, int port)` Method used to retrieve the IOR string from the Domino server.

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4Monitor
`initialize, initialize, release, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    private static final int DEFAULT_PORT

  Default port.

  See Also:
    Constant Field Values

### DEFAULT_IORPORT

    private static final int DEFAULT_IORPORT

  Default port of where to find the IOR via HTTP

  See Also:
    Constant Field Values

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default retries.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout. Specifies how long (in milliseconds) to block waiting for data from the monitored interface.

  See Also:
    Constant Field Values

Constructor Detail

### DominoIIOPMonitor

    public DominoIIOPMonitor()

Method Detail

### poll

    public int poll(NetworkInterface iface,
                    java.util.Map parameters,
                    Package pkg)

  Poll the specified address for service availability. During the poll an attempt is made to connect on the specified port. If the connection request is successful, the banner line generated by the interface is parsed and if the banner text indicates that we are talking to Provided that the interface's response is valid we set the service status to SERVICE_AVAILABLE and return.

  Parameters:
    `iface` - The network interface to test the service on.
    `parameters` - The package parameters (timeout, retry, and others) to be used for this poll.
  Returns:
    The availibility of the interface and if a transition event should be supressed.
  Throws:
    `java.lang.RuntimeException` - Thrown if the interface experiences errors during the poll.
  See Also:
    `ServiceMonitor.SURPRESS_EVENT_MASK`, `ServiceMonitor.SERVICE_AVAILABLE`, `ServiceMonitor.SERVICE_UNAVAILABLE`

### retrieveIORText

    private java.lang.String retrieveIORText(java.lang.String host,
                                             int port)
                                      throws java.io.IOException

  Method used to retrieve the IOR string from the Domino server.

  Parameters:
    `host` - the host name which has the IOR
    `port` - the port to find the IOR via HTTP
  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.